unit Unit1;

    (*********************************************************************
     *  unit Unit1                                           		 *
     *                                                                   *
     *  home page : http://www.dsplayer.de                               *
     *  email     : coder@dsplayer.de                                    *
     *                                                                   *
     *                                                                   *
     *  date      : 15-03-2004                                           *
     *                                                                   *
     *  The contents of this file are used with permission, subject to   *
     *  the Mozilla Public License Version 1.1 (the "License"); you may  *
     *  not use this file except in compliance with the License. You may *
     *  obtain a copy of the License at                                  *
     *  http://www.mozilla.org/MPL/MPL-1.1.html                          *
     *                                                                   *
     *  Software distributed under the License is distributed on an      *
     *  "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or   *
     *  implied. See the License for the specific language governing     *
     *  rights and limitations under the License.                        *
     *                                                                   *
     *********************************************************************)

{
  @abstract(DSPlayer Components.)
  @author(Martin Offenwanger: coder@dsplayer.de)
  @created(Mar 15, 2004)
  @lastmod(Apr 19, 2004)
}

interface

uses

  // borland includes
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus, ExtCtrls, ComCtrls, Fonts, TabNotBk, FileCtrl,
  jpeg,

  // dsp includes
  dsppopupmenu, dspPopupMenuGroup, dspPopupDataTypes,
  dspLanguage, dspMenuItemClickHandler;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    TabbedNotebook1: TTabbedNotebook;
    Panel1: TPanel;
    Panel6: TPanel;
    Label12: TLabel;
    Label13: TLabel;
    Button2: TButton;
    Label14: TLabel;
    Label16: TLabel;
    Label15: TLabel;
    Edit7: TEdit;
    Label17: TLabel;
    CheckBox1: TCheckBox;
    Button3: TButton;
    Panel2: TPanel;
    Panel3: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Label10: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit4: TEdit;
    Panel4: TPanel;
    Label9: TLabel;
    Label11: TLabel;
    Edit3: TEdit;
    RadioButton8: TRadioButton;
    RadioButton9: TRadioButton;
    Edit5: TEdit;
    Panel7: TPanel;
    Label18: TLabel;
    Edit6: TEdit;
    Label19: TLabel;
    Edit8: TEdit;
    Edit9: TEdit;
    Label20: TLabel;
    GroupBox1: TGroupBox;
    CheckBox4: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox3: TCheckBox;
    GroupBox2: TGroupBox;
    CheckBox6: TCheckBox;
    Button9: TButton;
    GroupBox3: TGroupBox;
    Label22: TLabel;
    CheckBox7: TCheckBox;
    Label23: TLabel;
    Label21: TLabel;
    Label24: TLabel;
    RadioButton2: TRadioButton;
    RadioButton4: TRadioButton;
    RadioButton6: TRadioButton;
    RadioButton19: TRadioButton;
    RdoIconBackColor: TRadioButton;
    RdoIconForeColor: TRadioButton;
    RdoIcon3dRightBottomEdgeBorders: TRadioButton;
    RdoIcon3dLeftTopEdgeBorders: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton7: TRadioButton;
    RadioButton20: TRadioButton;
    RdoIconSelectedBackColor: TRadioButton;
    RdoIconSelectedForeColor: TRadioButton;
    RdoIcon3dRightSelectedBottomEdgeBorders: TRadioButton;
    RdoIcon3dLeftSelectedTopEdgeBorders: TRadioButton;
    RadioButton10: TRadioButton;
    RadioButton1: TRadioButton;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Button1: TButton;
    Panel9: TPanel;
    Label1: TLabel;
    Edit11: TEdit;
    Edit12: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Edit13: TEdit;
    TrackBar3: TTrackBar;
    TrackBar2: TTrackBar;
    TrackBar1: TTrackBar;
    Panel5: TPanel;
    Image1: TImage;
    RadioButton21: TRadioButton;
    RadioButton22: TRadioButton;
    GroupBox4: TGroupBox;
    CheckBox8: TCheckBox;
    ImgColor: TImage;
    Button10: TButton;
    Button11: TButton;
    SaveDialog1: TSaveDialog;
    OpenDialog2: TOpenDialog;
    ImgAlign: TImage;
    ImgFont: TImage;
    ImgMode: TImage;
    Button12: TButton;
    Button13: TButton;
    ImgSaveLoad: TImage;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure RadioButton8Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure CheckBox8Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure TabbedNotebook1Change(Sender: TObject; NewTab: Integer;
      var AllowChange: Boolean);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
  private
    m_menuItemClickHandler: TMenuItemEventHandler;
    m_FontFile: String;
    // only workaround
    m_enter: bool;
    procedure OnMenuItemClick(Sender: TObject; f_ItemName: string);
    procedure TColor2RGB(const Color: TColor; var R, G, B: Byte);
    procedure RefreshGUI;
  public
end;

var
  Form1: TForm1;

implementation

uses globals, debug;

var
  lg_language: TdspLanguage;

const
    lc_SetupPopupMenu = 'SetupPopupmenu';
    lc_DVDPopupMenu = 'DVDPopupMenu';
    lc_PlaybackPopupMenu = 'PlaybackPopupMenu';
    lc_WindowPopupMenu = 'WindowPopupMenu';
    lc_PlayListPopupMenu = 'PlayListPopupMenu';
    lc_PlayListSelectPopupMenu = 'PlayListSelectPopupMenu';
    lc_PlayListDeletePopupMenu = 'PlayListDeletePopupMenu';
    // dynamic Submenu roots
    lc_AudioStreams = 'audiostreams';
    lc_Filters = 'filters';
    lc_skins = 'skins';
    // checked Itms on Popup
    lc_playlist = 'playlist';
    lc_equalizer = 'equalizer';
    lc_credits = 'credits';


{$R *.dfm}

procedure TForm1.RefreshGUI;
begin
  m_enter := false;

  m_FontFile := m_popupGroup.getFontFile;
  Label13.Caption := m_FontFile;
  Label16.Caption := m_popupGroup.getFontName;
  Edit7.Text := inttostr(m_popupGroup.getFontSize);
  if m_popupGroup.getFontStyles = 'Bold' then
        CheckBox1.Checked := true
  else
        CheckBox1.Checked := false;

  CheckBox2.Checked := false;
  CheckBox3.Checked := false;
  CheckBox4.Checked := false;
  CheckBox5.Checked := false;
  CheckBox6.Checked := false;
  CheckBox8.Checked := false;

  CheckBox2.Enabled := false;
  CheckBox3.Enabled := false;
  CheckBox5.Enabled := false;

  RdoIconBackColor.Enabled := false;
  RdoIconForeColor.Enabled := false;
  RdoIcon3dRightBottomEdgeBorders.Enabled := false;
  RdoIcon3dLeftTopEdgeBorders.Enabled := false;
  RdoIconSelectedForeColor.Enabled := false;
  RdoIconSelectedBackColor.Enabled := false;
  RdoIcon3dRightSelectedBottomEdgeBorders.Enabled := false;
  RdoIcon3dLeftSelectedTopEdgeBorders.Enabled := false;


  Edit1.Text := inttostr(m_popupGroup.TextLeft);
  Edit2.Text := inttostr(m_popupGroup.BlankHeigt);
  Edit3.Text := inttostr(m_popupGroup.ItemsWidth);
  Edit4.Text := inttostr(m_popupGroup.ItemsHeight);
  Edit5.Text := IntToStr(m_popupGroup.TextRight);
  Edit6.Text := IntToStr(m_popupGroup.LeftOffset);
  Edit8.Text := IntToStr(m_popupGroup.IconRightPlaceHolder);
  Edit9.Text := IntToStr(m_popupGroup.SubmenuArrowPlaceHolder);

  if m_popupGroup.IconMode = [icmLineIncluded] then
        CheckBox2.Checked := true;
  if m_popupGroup.IconMode = [icmSeperateColors] then
        CheckBox5.Checked := true;
  if m_popupGroup.IconMode = [icm3DBorder] then
        CheckBox3.Checked := true;
  if m_popupGroup.IconMode = [icmLineIncluded,icmSeperateColors] then begin
        CheckBox2.Checked := true;
        CheckBox5.Checked := true;
  end;
  if m_popupGroup.IconMode = [icmLineIncluded,icm3DBorder] then begin
        CheckBox2.Checked := true;
        CheckBox3.Checked := true;
  end;
  if m_popupGroup.IconMode = [icmSeperateColors,icm3DBorder] then begin
        CheckBox5.Checked := true;
        CheckBox3.Checked := true;
  end;
  if m_popupGroup.IconMode = [icmLineIncluded,icmSeperateColors,icm3DBorder] then begin
        CheckBox5.Checked := true;
        CheckBox3.Checked := true;
        CheckBox2.Checked := true;
  end;

  CheckBox4.Checked := m_popupGroup.IconsOn;
  CheckBox6.Checked := m_popupGroup.SkinningEnabled;
  CheckBox8.Checked := m_popupGroup.SubmenuSkinningEnabled;

  if m_popupGroup.IconsOn then begin
          CheckBox2.Enabled := true;
          CheckBox3.Enabled := true;
          CheckBox5.Enabled := true;
          RdoIconBackColor.Enabled := true;
          RdoIconForeColor.Enabled := true;
          RdoIcon3dRightBottomEdgeBorders.Enabled := true;
          RdoIcon3dLeftTopEdgeBorders.Enabled := true;
          RdoIconSelectedForeColor.Enabled := true;
          RdoIconSelectedBackColor.Enabled := true;
          RdoIcon3dRightSelectedBottomEdgeBorders.Enabled := true;
          RdoIcon3dLeftSelectedTopEdgeBorders.Enabled := true;
  end;
  // workaround !!!
  m_enter := true;
end;

procedure TForm1.TColor2RGB(const Color: TColor; var R, G, B: Byte);
begin
  // convert hexa-decimal values to RGB
  R := Color and $FF;
  G := (Color shr 8) and $FF;
  B := (Color shr 16) and $FF;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  g_errLog := TErrLog.Create('',false);
  DoubleBuffered := true;
  Panel5.DoubleBuffered := true;

  ///////////////////////////////////////////////////
  // create Popupmenu group with need settings     //
  ///////////////////////////////////////////////////

  // Create the Language Manager Object
  lg_language := TdspLanguage.Create;
  lg_language.setConfigSaveFile(GetCurrentDir + '\config\settings.ini');
  lg_language.setLanguageFilePath(GetCurrentDir+'\language');
  lg_language.setLanguageFileByDecription(lg_language.getActiveLanguageAsDescription);
  // Create the Popupmenu Group
  m_popupGroup := TPopupMenuGroup.Create(self);
  m_popupGroup.OnMenuItemClick := m_menuItemClickHandler.OnMenuItemClick;
  m_popupGroup.OnSubmenuDelete := m_menuItemClickHandler.OnSubmenuDelete;
  m_popupGroup.OnMenuUncheckItem := m_menuItemClickHandler.OnUncheckMenuItem;
  m_popupGroup.OnPopup := m_menuItemClickHandler.OnPopup;
  // add the languagefile object to the Popupmenu before adding any popupmenu
  // by def file to the group, to enable the language file support !!
  m_popupGroup.setLanguageObject(lg_language);
  // set the path before adding any popupmenu by def file to the group !!
  m_popupGroup.setIconPath(GetCurrentDir + '\icons');
  // add and create all popups by defFile to the PopupGroup
  m_popupGroup.addPopupmenuByDefFile(GetCurrentDir+'\config\setuppopupmenu.def',lc_SetupPopupMenu);
  m_popupGroup.addPopupmenuByDefFile(GetCurrentDir+'\config\dvdpopupmenu.def',lc_DVDPopupMenu);
  m_popupGroup.addPopupmenuByDefFile(GetCurrentDir+'\config\paylistfilepopupmenu.def',lc_PlaylistPopupMenu);
  m_popupGroup.addPopupmenuByDefFile(GetCurrentDir+'\config\paylistselectpopupmenu.def',lc_PlayListSelectPopupMenu);
  m_popupGroup.addPopupmenuByDefFile(GetCurrentDir+'\config\paylistdeletepopupmenu.def',lc_PlayListDeletePopupMenu);
  m_popupGroup.addPopupmenuByDefFile(GetCurrentDir+'\config\playbackpopupmenu.def',lc_PlaybackPopupMenu);
  m_popupGroup.addPopupmenuByDefFile(GetCurrentDir+'\config\windowpopupmenu.def',lc_WindowPopupMenu);
  // set the Dynamic Popupmenu Entires
  m_popupGroup.setEntryToUseAsDynamicSubmenuRoot(lc_AudioStreams);
  m_popupGroup.setEntryToUseAsDynamicSubmenuRoot(lc_Filters);
  m_popupGroup.setEntryToUseAsDynamicSubmenuRoot(lc_skins);
  // set ItmsToUncheckOnPopup
  m_popupGroup.setUncheckedItemsOnPopup(lc_playlist);
  m_popupGroup.setUncheckedItemsOnPopup(lc_equalizer);
  m_popupGroup.setUncheckedItemsOnPopup(lc_credits);
  // Set the used Font File to the Popupmenu Group
  // Important: Set the fontfile path before setting the fontfile !!!!
  m_popupGroup.setFontfilePath(getcurrentdir+'\Fonts');
  // do only set the fontfile with setFont without path !!!!
  m_popupGroup.setFont('arial.ttf',8,'Bold');
  // set the Icon Path
  m_popupGroup.setIconPath(GetCurrentDir + '\icons');

  ///////////////////////////////////////////////////
  // END create Popupmenu group with need settings //
  ///////////////////////////////////////////////////


  // GUI configuration
  ImgFont.Hide;
  ImgAlign.Hide;
  ImgMode.Hide;
  ImgSaveLoad.Hide;
  ImgColor.Show;
  CheckBox1.Checked := true;
  RefreshGui;
  Button3.Click;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  lg_language.Destroy;
  m_popupGroup.Destroy;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
var
  l_rect: TRect;
begin
  edit11.Text := inttostr(TrackBar1.position);
  edit12.Text := inttostr(TrackBar2.position);
  edit13.Text := inttostr(TrackBar3.position);
  if RadioButton1.Checked then
        m_popupGroup.BlankColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton2.Checked then
        m_popupGroup.Backcolor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton3.Checked then
        m_popupGroup.SelectedBackColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton4.Checked then
        m_popupGroup.FontColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton5.Checked then
        m_popupGroup.SelectedFontColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton6.Checked then
        m_popupGroup.CheckedColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton7.Checked then
        m_popupGroup.SelectedCheckedColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton10.Checked then
        m_popupGroup.BorderColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RdoIconForeColor.Checked then
        m_popupGroup.IconForeColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RdoIconBackColor.Checked then
        m_popupGroup.IconBackColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RdoIconSelectedForeColor.Checked then
        m_popupGroup.IconSelectedForeColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RdoIconSelectedBackColor.Checked then
        m_popupGroup.IconSelectedBackColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RdoIcon3dRightBottomEdgeBorders.Checked then
        m_popupGroup.Icon3dRightBottomEdgeBordersColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RdoIcon3dLeftTopEdgeBorders.Checked then
        m_popupGroup.Icon3dLeftTopEdgeBordersColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RdoIcon3dRightSelectedBottomEdgeBorders.Checked then
        m_popupGroup.Icon3dRightSelectedBottomEdgeBordersColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RdoIcon3dLeftSelectedTopEdgeBorders.Checked then
        m_popupGroup.Icon3dLeftSelectedTopEdgeBordersColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton19.Checked then
        m_popupGroup.DisabledColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton20.Checked then
        m_popupGroup.DisabledSelectedColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton21.Checked then
        m_popupGroup.SubmenuArrowColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  if RadioButton22.Checked then
        m_popupGroup.SubmenuArrowSelectedColor := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  Image1.Canvas.Brush.Color := RGB(TrackBar1.position,TrackBar2.position,TrackBar3.position);
  l_rect.Left := 0;
  l_rect.Top := 0;
  l_rect.Right := Image1.Width;
  l_rect.Bottom := Image1.Height;
  Image1.Canvas.FillRect(l_rect);
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
var
  r,g,b: byte;
begin
  if RadioButton1.Checked then
        TColor2RGB(m_popupGroup.BlankColor,r,g,b);
  if RadioButton2.Checked then
        TColor2RGB(m_popupGroup.Backcolor,r,g,b);
  if RadioButton3.Checked then
        TColor2RGB(m_popupGroup.SelectedBackColor,r,g,b);
  if RadioButton4.Checked then
        TColor2RGB(m_popupGroup.FontColor,r,g,b);
  if RadioButton5.Checked then
        TColor2RGB(m_popupGroup.SelectedFontColor,r,g,b);
  if RadioButton6.Checked then
        TColor2RGB(m_popupGroup.CheckedColor,r,g,b);
  if RadioButton7.Checked then
        TColor2RGB(m_popupGroup.SelectedCheckedColor,r,g,b);
  if RadioButton10.Checked then
        TColor2RGB(m_popupGroup.BorderColor,r,g,b);
  if RdoIconForeColor.Checked then
        TColor2RGB(m_popupGroup.IconForeColor,r,g,b);
  if RdoIconBackColor.Checked then
        TColor2RGB(m_popupGroup.IconBackColor,r,g,b);
  if RdoIconSelectedForeColor.Checked then
        TColor2RGB(m_popupGroup.IconSelectedForeColor,r,g,b);
  if RdoIconSelectedBackColor.Checked then
        TColor2RGB(m_popupGroup.IconSelectedBackColor,r,g,b);
  if RdoIcon3dRightBottomEdgeBorders.Checked then
        TColor2RGB(m_popupGroup.Icon3dRightBottomEdgeBordersColor,r,g,b);
  if RdoIcon3dLeftTopEdgeBorders.Checked then
        TColor2RGB(m_popupGroup.Icon3dLeftTopEdgeBordersColor,r,g,b);
  if RdoIcon3dRightSelectedBottomEdgeBorders.Checked then
        TColor2RGB(m_popupGroup.Icon3dRightSelectedBottomEdgeBordersColor,r,g,b);
  if RdoIcon3dLeftSelectedTopEdgeBorders.Checked then
        TColor2RGB(m_popupGroup.Icon3dLeftSelectedTopEdgeBordersColor,r,g,b);
  if RadioButton19.Checked then
        TColor2RGB(m_popupGroup.DisabledColor,r,g,b);
  if RadioButton20.Checked then
        TColor2RGB(m_popupGroup.DisabledSelectedColor,r,g,b);
  if RadioButton21.Checked then
        TColor2RGB(m_popupGroup.SubmenuArrowColor,r,g,b);
  if RadioButton22.Checked then
        TColor2RGB(m_popupGroup.SubmenuArrowSelectedColor,r,g,b);
  TrackBar1.position := r;
  TrackBar2.position := g;
  TrackBar3.position := b;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  m_popupGroup.TextLeft := strtoint(Edit1.Text);
  m_popupGroup.BlankHeigt := strtoint(Edit2.Text);
  m_popupGroup.ItemsWidth := strtoint(Edit3.Text);
  m_popupGroup.ItemsHeight := strtoint(Edit4.Text);
  m_popupGroup.TextRight := strtoint(Edit5.Text);
  m_popupGroup.LeftOffset := strtoint(Edit6.Text);
  m_popupGroup.IconRightPlaceHolder := strtoint(Edit8.Text);
  m_popupGroup.SubmenuArrowPlaceHolder := strtoint(Edit9.Text);
end;

procedure TForm1.RadioButton8Click(Sender: TObject);
begin
  if RadioButton8.Checked then begin
        m_popupGroup.RelativWidth := false;
        Edit5.Enabled := false;
        Edit3.Enabled := true;
        Label11.Enabled := false;
        Label9.Enabled := true;
  end;
  if RadioButton9.Checked then begin
        m_popupGroup.RelativWidth := true;
        Edit3.Enabled := false;
        Edit5.Enabled := true;
        Label11.Enabled := true;
        Label9.Enabled := false;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var l_Fonts: TFonts;
begin
if not OpenDialog1.Execute then exit;
m_FontFile := ExtractFileName(OpenDialog1.FileName);
Label13.Caption := ExtractFileName(OpenDialog1.FileName);
Label16.Caption := l_Fonts.getTTFName(OpenDialog1.FileName);
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  l_temp: string;
begin
  l_temp := '';
  if CheckBox1.Checked then
        l_temp := 'Bold';
  m_popupGroup.setFont(m_FontFile, strtoint(Edit7.Text),l_temp);
  RefreshGui;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  m_popupGroup.getPopupmenuByNameAsTpopupmenu(lc_SetupPopupMenu).Popup(Left+Button4.Left+3,Top+Button4.Top+Button4.Height+20);;
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
  m_popupGroup.getPopupmenuByNameAsTpopupmenu(lc_PlaybackPopupMenu).Popup(Left+Button12.Left+3,Top+Button12.Top+Button12.Height+20);;
end;

procedure TForm1.Button13Click(Sender: TObject);
begin
  m_popupGroup.getPopupmenuByNameAsTpopupmenu(lc_WindowPopupMenu).Popup(Left+Button13.Left+3,Top+Button13.Top+Button13.Height+20);;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  m_popupGroup.getPopupmenuByNameAsTpopupmenu(lc_DVDPopupMenu).Popup(Left+Button5.Left+3,Top+Button5.Top+Button5.Height+20);;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  m_popupGroup.getPopupmenuByNameAsTpopupmenu(lc_PlayListPopupMenu).Popup(Left+Button6.Left+3,Top+Button6.Top+Button6.Height+20);;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  m_popupGroup.getPopupmenuByNameAsTpopupmenu(lc_PlayListSelectPopupMenu).Popup(Left+Button7.Left+3,Top+Button7.Top+Button7.Height+20);;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  m_popupGroup.getPopupmenuByNameAsTpopupmenu(lc_PlayListDeletePopupMenu).Popup(Left+Button8.Left+3,Top+Button8.Top+Button8.Height+20);;
end;


procedure TForm1.Button9Click(Sender: TObject);
begin
m_popupGroup.IconMode := [];
if CheckBox2.Checked and not CheckBox5.Checked and not CheckBox3.Checked then
        m_popupGroup.IconMode := [icmLineIncluded];
if not CheckBox2.Checked and CheckBox5.Checked and not CheckBox3.Checked then
        m_popupGroup.IconMode := [icmSeperateColors];
if not CheckBox2.Checked and not CheckBox5.Checked and CheckBox3.Checked then
        m_popupGroup.IconMode := [icm3DBorder];
if CheckBox2.Checked and CheckBox5.Checked and not CheckBox3.Checked then
        m_popupGroup.IconMode := [icmLineIncluded,icmSeperateColors];
if CheckBox2.Checked and not CheckBox5.Checked and CheckBox3.Checked then
        m_popupGroup.IconMode := [icmLineIncluded,icm3DBorder];
if not CheckBox2.Checked and CheckBox5.Checked and CheckBox3.Checked then
        m_popupGroup.IconMode := [icmSeperateColors,icm3DBorder];
if CheckBox2.Checked and CheckBox5.Checked and CheckBox3.Checked then
        m_popupGroup.IconMode := [icmLineIncluded,icmSeperateColors,icm3DBorder];
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
if m_enter then begin
  if CheckBox4.Checked = true then
        m_popupGroup.IconsOn := true
  else
        m_popupGroup.IconsOn := false;
  RefreshGUI;
end;

end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
if m_enter then
  if CheckBox6.Checked = true then
        m_popupGroup.SkinningEnabled := true
  else
        m_popupGroup.SkinningEnabled := false;
end;

procedure TForm1.CheckBox7Click(Sender: TObject);
begin
  if CheckBox7.Checked = true then
        m_popupGroup.getPopupmenuByName(lc_SetupPopupMenu).getItemByName('playrate').Enabled := false
  else
        m_popupGroup.getPopupmenuByName(lc_SetupPopupMenu).getItemByName('playrate').Enabled := true
end;

procedure TForm1.OnMenuItemClick(Sender: TObject; f_ItemName: string);
begin

end;


procedure TForm1.CheckBox8Click(Sender: TObject);
begin
if m_enter then
  if CheckBox8.Checked = true then
        m_popupGroup.SubmenuSkinningEnabled := true
  else
        m_popupGroup.SubmenuSkinningEnabled := false;
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  if not SaveDialog1.Execute then exit;
  m_popupGroup.SaveCurrentSettings(SaveDialog1.FileName+'.dsf');
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  if not OpenDialog2.Execute then exit;
  m_popupGroup.loadCurrentSettingsFromDsfFile(OpenDialog2.FileName);
  RefreshGUI;
end;

procedure TForm1.TabbedNotebook1Change(Sender: TObject; NewTab: Integer;
  var AllowChange: Boolean);
begin
if NewTab = 0 then begin
        ImgFont.Hide;
        ImgAlign.Hide;
        ImgMode.Hide;
        ImgSaveLoad.Hide;
        ImgColor.Show;
end;
if NewTab = 1 then begin
        ImgFont.Hide;
        ImgMode.Hide;
        ImgColor.Hide;
        ImgSaveLoad.Hide;
        ImgAlign.Show;
end;
if NewTab = 2 then begin
        ImgAlign.Hide;
        ImgMode.Hide;
        ImgColor.Hide;
        ImgSaveLoad.Hide;
        ImgFont.Show;
end;
if NewTab = 3 then begin
        ImgFont.Hide;
        ImgAlign.Hide;
        ImgColor.Hide;
        ImgSaveLoad.Hide;
        ImgMode.Show;
end;
if NewTab = 4 then begin
        ImgFont.Hide;
        ImgAlign.Hide;
        ImgColor.Hide;
        ImgMode.Hide;
        ImgSaveLoad.Show;
end;

end;


end.
