unit dspMenuItemClickHandler;

    (*********************************************************************
     *  unit dspMenuItemClickHandler		 			 *
     *                                                                   *
     *  home page : http://www.dsplayer.de                               *
     *  email     : coder@dsplayer.de                                    *
     *                                                                   *
     *                                                                   *
     *  date      : 15-03-2004                                           *
     *                                                                   *
     *  The contents of this file are used with permission, subject to   *
     *  the Mozilla Public License Version 1.1 (the "License"); you may  *
     *  not use this file except in compliance with the License. You may *
     *  obtain a copy of the License at                                  *
     *  http://www.mozilla.org/MPL/MPL-1.1.html                          *
     *                                                                   *
     *  Software distributed under the License is distributed on an      *
     *  "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or   *
     *  implied. See the License for the specific language governing     *
     *  rights and limitations under the License.                        *
     *                                                                   *
     *********************************************************************)

{
  @abstract(DSPlayer Components.)
  @author(Martin Offenwanger: coder@dsplayer.de)
  @created(Mar 15, 2004)
  @lastmod(Apr 19, 2004)
}

interface

uses globals, dspPopupMenu;

type
  TMenuItemEventHandler = class
public
  procedure OnMenuItemClick(Sender: TObject; f_ItemName: string);
  procedure OnSubmenuDelete(Sender: TObject; f_SubMenuRootItemName: string);
  procedure OnUncheckMenuItem(Sender: TObject; f_UnchedMenuItemName: string);
  procedure OnPopup(Sender: TObject);
end;

implementation

procedure TMenuItemEventHandler.OnPopup(Sender: TObject);
begin
  g_errLog.AddErrStr('TMenuItemEventHandler.OnPopup');
end;

procedure TMenuItemEventHandler.OnMenuItemClick(Sender: TObject; f_ItemName: string);
begin
  g_errLog.AddErrStr('TMenuItemEventHandler.MenuItemClick: ' + f_ItemName);
end;

procedure TMenuItemEventHandler.OnSubmenuDelete(Sender: TObject; f_SubMenuRootItemName: string);
begin
  g_errLog.AddErrStr('TMenuItemEventHandler.OnSubmenuDelete: RootItemName: ' + f_SubMenuRootItemName);
end;

procedure TMenuItemEventHandler.OnUncheckMenuItem(Sender: TObject; f_UnchedMenuItemName: string);
begin
  g_errLog.AddErrStr('TMenuItemEventHandler.OnUncheckMenuItem: UncheckedItemName: ' + f_UnchedMenuItemName);
  //TdspPopupMenu(Sender).setChecked(true,f_UnchedMenuItemName);
end;

end.
